Invoices

List Invoices

get

Returns a list of invoices, sorted with the most recent appearing first. The list can be filtered by a creation date range.

Authorizations
AuthorizationstringRequired

Use your AccountSID as the username and AuthToken as the password.

Path parameters
AccountSIDstringRequired
Query parameters
StartDatestring · date-timeOptional

Filters to show invoices created on or after the specified date (ISO 8601).

EndDatestring · date-timeOptional

Filters to show invoices created on or before the specified date (ISO 8601).

Responses
200

A list of invoice objects.

application/json
get
/Advertisers/{AccountSID}/Invoices
cURL
200

A list of invoice objects.

Get Invoice Details

get

Retrieves the details of a single invoice by its unique ID.

Authorizations
AuthorizationstringRequired

Use your AccountSID as the username and AuthToken as the password.

Path parameters
AccountSIDstringRequired
InvoiceIdstringRequired

The unique identifier for the invoice.

Responses
200

A single invoice object.

application/json
IdstringOptional

The unique identifier for the invoice.

Example: 1299679-33
CreatedDatestring · date-timeOptional

The date and time the invoice was created.

Example: 2018-11-02T11:43:30-04:00
MediaIdintegerOptional

The unique identifier for the partner the invoice is for.

Example: 1299679
MediaNamestringOptional

The display name of the partner the invoice is for.

Example: RoadRunner
CurrencystringOptional

Three-letter ISO 4217 currency code for the invoice amounts.

Example: USD
TotalAmountnumber · decimalOptional

The total amount owed on the invoice.

Example: 65
TotalVatAmountnumber · decimalOptional

The total VAT amount on the invoice.

Example: 0
PDFstring · uri-referenceOptional

The URI to download the PDF for the invoice.

Example: /Advertisers/<AccountSID>/Invoices/1924609-1/Download
Uristring · uri-referenceOptional

The unique reference to this invoice in the impact.com API.

Example: /Advertisers/<AccountSID>/Invoices/1924609-1
get
/Advertisers/{AccountSID}/Invoices/{InvoiceId}
cURL
200

A single invoice object.

Download Invoice PDF

get

Returns the specified invoice as a downloadable PDF file.

Authorizations
AuthorizationstringRequired

Use your AccountSID as the username and AuthToken as the password.

Path parameters
AccountSIDstringRequired
InvoiceIdstringRequired

The unique identifier for the invoice.

Responses
200

The invoice in PDF format.

application/pdf
string · binaryOptional
get
/Advertisers/{AccountSID}/Invoices/{InvoiceId}/Download
cURL
200

The invoice in PDF format.

Last updated